## svgalib 1.4.3

=== Makefile ===
#---------------------------------------------------------------------OU
# Makefile for SVGAlib.
#
# It's pretty unreadable, but just doing make install should be
# enough. This will install the headerfiles and shared library first
# (which is enough to compile things), after which the static version is
# optionally compiled and installed (if it fails, the shared libraries
# should still work fine).
#
#----------------------------------------------------------------------

# *** NO SERVICIBLE PARTS HERE!
#     All options are in Makefile.cfg.

include Makefile.cfg

#----------------------------------------------------------------------
# Rules Section
#----------------------------------------------------------------------

JUMP_DIR=$(shell sh -c pwd)/jump/
JUMP_LIB=libvga

export JUMP_DIR
export JUMP_LIB

# Search the old directories for mkimage and mkstubs.
# Make sure mkimage get the right "as" assembler.
ifeq (a.out, $(TARGET_FORMAT))
  PATH := /usr/i486-linuxaout/bin:$(PATH):/usr/dll/bin
  export PATH
endif	

# In case someone goes for the demos w/o installing svgalib make
# the static libs first.
ifdef INSTALLSHAREDLIB
  PREDEMO =
else
  PREDEMO = static
endif

# A flag if this is a distribution:
DISTRIBUTION = $(shell sh -c "echo sharedlib/DIST*")
INSTALLAOUTDIR =	

ifeq (elf, $(TARGET_FORMAT))
ifdef INSTALLAOUTLIB
ifeq ($(DISTRIBUTION), sharedlib/DISTRIBUTION)
	OBSOLETEAOUTDIRS = $(shell sed 's?\#.*$$??' /etc/ld.so.conf 2>/dev/null | \
			     sed 's?\([^/]\)[ 	]*$$?\1/ ?' | grep aout/ )
	INSTALLAOUTDIR = $(word 1, $(OBSOLETEAOUTDIRS))
endif
endif
endif

UTILS	= restorefont runx restorepalette restoretextmode textmode \
	  savetextmode dumpreg fix132x43

OBSOLETEHDIRS = /usr/include/ /usr/include/vga/ /usr/local/include/ /usr/local/include/vga/
OBSOLETEBDIRS = /usr/bin/ /usr/local/bin/

OBSOLETEHEADERS = /inc/vga.h /inc/vgakeyboard.h /inc/vgamouse.h /inc/vgagl.h /inc/vgajoystick.h

OBSOLETELIBLINKS = /lib/libvga.so /lib/libvga.so.1 /lib/libvgagl.so /lib/libvgagl.so.1

OBSOLETESHAREDIMAGES = /lib/libvgagl.so.* /lib/libvga.so.*

ifeq (a.out, $(TARGET_FORMAT))
	OBSOLETELDIRS = /lib/ /usr/lib/ /usr/local/lib/ /usr/share/lib/ \
			$(shell sed 's?\#.*$$??' /etc/ld.so.conf 2>/dev/null | \
			  sed 's?\([^/]\)[ 	]*$$?\1/ ?' )
	SHAREDLIBS = sharedlib/libvga.so.$(VERSION)
	SVGALIBSHAREDSTUBS = sharedlib/libvga.sa sharedlib/libvgagl.sa
	JUMP = jump
else	
	OBSOLETELDIRS = /lib/ /usr/lib/ /usr/local/lib/ /usr/share/lib/ \
			$(shell sed 's?\#.*$$??' /etc/ld.so.conf 2>/dev/null | \
			  sed 's?\([^/]\)[ 	]*$$?\1/ ?' | grep -v aout/ )

	SHAREDAOUTLIBS = sharedlib/libvga.so.$(VERSION)
	SVGALIBSHAREDAOUTSTUBS = sharedlib/libvga.sa sharedlib/libvgagl.sa
	SHAREDLIBS = sharedlib/libvga.so.$(VERSION) sharedlib/libvgagl.so.$(VERSION)
	SVGALIBSHAREDSTUBS =
	JUMP =
endif	

BACKUP   = ../svgalib-$(VERSION).tar.gz

default:
	@echo "To install SVGAlib, do one of the following:"
	@echo ""
	@echo "	make clean      - clean every thing. Do this after every change"
	@echo "	                  of Makefile.cfg! Esp. when changing from a.out"
	@echo "	                  to ELF and vice versa"
	@echo "	make install	- compile & install components specified in Makefile.cfg"
	@echo "	make demoprogs	- make demo programs in demo/ and threeDKit/"
	@echo ""
	@echo "	make uninstall	- remove an existing installation from various"
	@echo "	                  common places. (old traces often confuse the"
	@echo "	                  compiler even when svgalib is not installed anew)"
	@echo "	                  (make install includes an uninstall first)"
	@echo ""
	@echo "	Be sure to read the file 0-INSTALL!"
	@echo ""

.PHONY: default all install installheaders installconfig
.PHONY: clean distclean indent uninstall
.PHONY: force_remake remake_shared shared static
.PHONY: indent-gnu configaout

installheaders:
	@echo Installing header files in $(includedir).
	@if [ -f /usr/include/vga.h ]; then \
		rm -f /usr/include/vga.h /usr/include/vgagl.h; \
		echo Old header files in /usr/include removed.; \
	fi
	mkdir -p $(includedir)
	@cp $(srcdir)/src/vga.h $(includedir)/vga.h
	@chmod a+r $(includedir)/vga.h
	@cp $(srcdir)/gl/vgagl.h $(includedir)/vgagl.h
	@chmod a+r $(includedir)/vgagl.h
	@cp $(srcdir)/src/mouse/vgamouse.h $(includedir)/vgamouse.h
	@chmod a+r $(includedir)/vgamouse.h
	@cp $(srcdir)/src/joystick/vgajoystick.h $(includedir)/vgajoystick.h
	@chmod a+r $(includedir)/vgajoystick.h
	@cp $(srcdir)/src/keyboard/vgakeyboard.h $(includedir)/vgakeyboard.h
	@chmod a+r $(includedir)/vgakeyboard.h

installsharedlib: $(SHAREDLIBS) $(SVGALIBSHAREDSTUBS)
ifeq (a.out, $(TARGET_FORMAT))
	@echo Installing shared library stubs in $(libdir).
	-@for foo in $(notdir $(SVGALIBSHAREDSTUBS)); do \
		$(INSTALL_DATA) sharedlib/$$foo $(libdir)/$$foo; \
		chmod a+r $(libdir)/$$foo; \
	done
endif
	@if [ -f /usr/lib/libvga.sa ]; then \
		rm -f /usr/lib/libvga.sa /usr/lib/libvgagl.sa; \
		echo Old stubs in /usr/lib removed.; \
	fi
	@rm -f $(OBSOLETESHAREDIMAGES)
ifndef KEEPSHAREDLIBS
	@echo "Removing shared library images (old & current)..."
	@for i in $(OBSOLETELDIRS); do \
	    rm -f `echo $(OBSOLETESHAREDIMAGES) | sed s?/lib/?$$i?g`; \
         done
endif
	mkdir -p $(sharedlibdir)
	@echo Installing shared library image as \
		$(addprefix $(sharedlibdir)/,$(notdir $(SHAREDLIBS))).
	@for foo in $(notdir $(SHAREDLIBS)); do \
		$(INSTALL_SHLIB) sharedlib/$$foo $(sharedlibdir)/$$foo; \
		(cd $(sharedlibdir); \
		 ln -sf $$foo `echo $$foo | sed 's/\.so\..*/.so/'` ); \
	done
	@ldconfig

ifdef INSTALLAOUTDIR

installaoutcompat:
	@echo Installing shared a.out compatibility library in $(TOPDIR)/$(INSTALLAOUTDIR).
	@for foo in $(notdir $(SVGALIBSHAREDAOUTSTUBS)); do \
		$(INSTALL_DATA) sharedlib/$$foo $(TOPDIR)/$(INSTALLAOUTDIR)$$foo; \
	done
	@echo Installing shared a.out library compat image as \
		$(addprefix $(INSTALLAOUTDIR),$(notdir $(SHAREDLIBS))).
	@for foo in $(notdir $(SHAREDAOUTLIBS)); do \
		$(INSTALL_SHLIB) sharedlib/$$foo $(TOPDIR)/$(INSTALLAOUTDIR)$$foo; \
		(cd $(TOPDIR)/$(INSTALLAOUTDIR); \
		 ln -sf $$foo `echo $$foo | sed 's/\.so\..*/.so/'` ); \
	done
	@ldconfig

else

installaoutcompat:
	@true

endif

installstaticlib: static
	@echo Installing static libraries in $(libdir).
	@rm -f /usr/lib/libvga.a
	@$(INSTALL_DATA) staticlib/libvga.a $(libdir)/libvga.a
	@chmod a+r $(libdir)/libvga.a
	@rm -f /usr/lib/libvgagl.a
	@$(INSTALL_DATA) staticlib/libvgagl.a $(libdir)/libvgagl.a
	@chmod a+r $(libdir)/libvgagl.a

installutils: textutils lrmi
	@if [ ! -d $(bindir) ]; then \
		echo No $(bindir) directory, creating it.; \
		mkdir $(bindir); \
	fi
	@if [ -f /usr/bin/restorefont ]; then \
		echo Removing old utilities in /usr/bin.; \
		for x in $(UTILS); do rm -f /usr/bin/$$x; done; \
	fi
	@if [ -f /usr/bin/convfont ]; then \
		echo Removing inappropriate utilities in /usr/bin.; \
		rm -f /usr/bin/convfont /usr/bin/setmclk; \
	fi
	@echo Installing textmode utilities in $(bindir):
	@echo "restorefont:      Save/restore textmode font."
	@cp utils/restorefont $(bindir)
	@echo "restorepalette:   Set standard VGA palette."
	@cp utils/restorepalette $(bindir)
	@echo "dumpreg:          Write ASCII dump of SVGA registers."
	@cp utils/dumpreg $(bindir)
	@echo "restoretextmode:  Save/restore textmode registers."
	@cp utils/restoretextmode $(bindir)
	@echo "textmode:         Script that tries to restore textmode."
	@cp utils/textmode $(bindir)
	@echo "savetextmode:     Script that saves textmode information used by 'textmode'."
	@cp utils/savetextmode $(bindir)
	@echo "mode3:       Restore textmode by setting VESA mode 3."
	@cp lrmi-0.6m/mode3 $(bindir)
	@echo "Installing keymap utilities in $(bindir):"
	@echo "svgakeymap:       Perl script that generates scancode conversion maps."
	@cp utils/svgakeymap $(bindir)

installconfig:
	@if [ ! -d $(datadir) ]; then \
		echo Creating configuration directory $(datadir).; \
		mkdir $(datadir); \
		chmod go-w $(datadir); \
	fi
	@if [ \( -f /usr/local/lib/libvga.config -a ! -f $(datadir)/libvga.config \) ]; then \
		echo "Moving old config file /usr/local/lib/libvga.config to $(datadir)." ; \
		mv -f /usr/local/lib/libvga.config $(datadir)/libvga.config; \
	fi
	@if [ \( -f /usr/local/lib/libvga.et4000 -a ! -f $(datadir)/libvga.et4000 \) ]; then \
		echo "Moving old config file /usr/local/lib/libvga.et4000 to $(datadir)." ; \
		mv -f /usr/local/lib/libvga.et4000 $(datadir)/libvga.et4000; \
	fi
	@if [ \( -f /usr/local/lib/libvga.ega -a ! -f $(datadir)/libvga.ega \) ]; then \
		echo "Moving old config file /usr/local/lib/libvga.ega to $(datadir)." ; \
		mv -f /usr/local/lib/libvga.ega $(datadir)/libvga.ega; \
	fi
	@if [ \( -f /etc/mach32.eeprom -a ! -f $(datadir)/mach32.eeprom \) ]; then \
		echo Consider moving your /etc/mach32.eeprom file to $(datadir) ; \
		echo and changing $(datadir)/libvga.config appropriately. ; \
	fi
	@if [ ! -f $(datadir)/libvga.config ]; then \
		echo Installing default configuration file in $(datadir).; \
		cp $(confdir)/libvga.config $(datadir)/libvga.config; \
	fi
	@if [ ! -f $(datadir)/libvga.et4000 ]; then \
		echo Installing dynamically loaded ET4000 registers in $(datadir).; \
		cp $(confdir)/et4000.regs $(datadir)/libvga.et4000; \
	fi
	@if [ ! -f $(datadir)/default.keymap ]; then \
		echo Installing default keymap file in $(datadir).; \
		cp $(confdir)/default.keymap $(datadir)/null.keymap; \
	fi
	@if [ ! -f $(datadir)/dvorak-us.keymap ]; then \
		echo Installing Dvorak keymap file in $(datadir).; \
		cp $(confdir)/dvorak-us.keymap $(datadir)/dvorak-us.keymap; \
	fi

installman:
	(cd doc; $(MAKE) -f $(srcdir)/doc/Makefile srcdir="$(srcdir)" install )
	 
install: uninstall $(INSTALLAOUTLIB) installheaders $(INSTALLSHAREDLIB) installconfig \
	$(INSTALLSTATICLIB) $(INSTALLUTILS) $(INSTALLMAN)
	@echo
	@echo
	@echo Now run "'make demoprogs'" to make the test and demo programs in
	@echo demos/ and threedkit/.

uninstall:
	@echo "Removing textmode utilities..."
	@for i in $(OBSOLETEBDIRS); do \
          for prog in $(UTILS); do \
            rm -f $$i$$prog ; \
          done ; \
         done
	@echo "Removing shared library stubs (old & current)..."
	@for i in $(OBSOLETELDIRS); do \
	    rm -f `echo /lib/libvga.so.$(VERSION) /lib/libvgagl.so.$(VERSION) \
			$(OBSOLETELIBLINKS) /lib/libvga.sa /lib/libvgagl.sa \
		     | sed s?/lib/?$$i?g`; \
         done
ifndef KEEPSHAREDLIBS
	@echo "Removing shared library images (old & current)..."
	@for i in $(OBSOLETELDIRS); do \
	    rm -f `echo $(OBSOLETESHAREDIMAGES) | sed s?/lib/?$$i?g`; \
         done
endif
ifneq ($(INSTALLAOUTDIR), )
	@echo "Removing shared a.out library stubs (old & current)..."
	@for i in $(OBSOLETEAOUTDIRS); do \
	    rm -f `echo /lib/libvga.so.$(VERSION) /lib/libvgagl.so.$(VERSION) \
			$(OBSOLETELIBLINKS) /lib/libvga.sa /lib/libvgagl.sa \
		     | sed s?/lib/?$$i?g`; \
         done
ifndef KEEPSHAREDLIBS
	@echo "Removing shared a.out library images (old & current)..."
	@for i in $(OBSOLETEAOUTDIRS); do \
	    rm -f `echo $(OBSOLETESHAREDIMAGES) | sed s?/lib/?$$i?g`; \
         done
endif
endif
	@echo "Removing static libraries..."
	@for i in $(OBSOLETELDIRS); do \
	    rm -f `echo /lib/libvga.a /lib/libvgagl.a | sed s?/lib/?$$i?g`; \
	done
	@echo "Removing header files..."
	@for i in $(OBSOLETEHDIRS); do \
	    rm -f `echo $(OBSOLETEHEADERS) | sed s?/inc/?$$i?g`; \
	done
	(cd doc; $(MAKE) -f $(srcdir)/doc/Makefile srcdir="$(srcdir)" uninstall)
	 

SHAREDDIRS0 = sharedlib/mouse sharedlib/keyboard sharedlib/ramdac \
		sharedlib/clockchip sharedlib/joystick
SHAREDDIRS = $(SHAREDDIRS0) $(JUMP)
STATICDIRS = staticlib/mouse staticlib/keyboard staticlib/ramdac \
		staticlib/clockchip staticlib/joystick
UTILDIRS = utils
DEMODIRS = demos threeDKit

$(SHAREDDIRS0) $(STATICDIRS) $(DEMODIRS):
	mkdir -p $@

jump:
	mkdir -p jump
	if [ ! -f jump/jump.funcs ]; then \
		cp $(srcdir)/jump/jump.funcs $(srcdir)/jump/jump.ignore \
		   $(srcdir)/jump/jump.vars jump; \
	fi

utils:
	mkdir -p utils
	if [ ! -f utils/runx ]; then \

=== gl/Makefile ===
#----------------------------------------------------------------------
# Makefile for SVGAlib GL routines.
#----------------------------------------------------------------------

# *** NO SERVICIBLE PARTS HERE!
#     All options are in Makefile.cfg.

include ../Makefile.cfg

srcdir    = ..
VPATH     = $(srcdir)/gl

ifeq (a.out, $(TARGET_FORMAT))
  DEFINES += -DSVGA_AOUT
endif

ifeq (y, $(NO_ASM))
  DEFINES += -DNO_ASSEMBLY
endif

#----------------------------------------------------------------------
# Rules Section
#----------------------------------------------------------------------

MODULES	 = grlib.o driver.o line.o palette.o scale.o text.o font8x8.o \
	   cbitmap.o mem.o 

all:	libvgagl.a
.PHONY: all clean dep

libvgagl.so.$(VERSION): $(MODULES)
	$(CC) -s -shared -Wl,-soname,libvgagl.so.$(MAJOR_VER) -o libvgagl.so.$(VERSION) \
	  $(MODULES)

libvgagl.a: $(MODULES)
	rm -f libvgagl.a
	$(AR) rcs libvgagl.a $(MODULES)

.c.o:
	$(CC) $(CFLAGS) -c -o $*.o $<

.S.s:
	$(CC) $(CFLAGS) -E $< >$@

.s.o:
	$(CC) $(CFLAGS) -c -o $*.o $<

.c.s:
	$(CC) $(CFLAGS) -S -o $*.s $<

.o:
	$(CC) $(CFLAGS) $(LDFLAGS) -o $* $*.o $(LIBS)
	chmod 4755 $*

$(MODULES): .depend.gl

dep:
	rm -f .depend.gl
	make depend

.depend.gl:
	echo '# GL Module dependencies' >>.depend.gl
	$(CC) $(INCLUDES) -MM $(patsubst %.o,$(srcdir)/gl/%.c,$(MODULES)) >>.depend.gl

clean:
	rm -f .depend.gl *.bak *.o *~ libvgagl.a libvgagl.so.$(VERSION)

#
# include a dependency file if one exists
#
ifeq (.depend.gl,$(wildcard .depend.gl))
include .depend.gl
endif

=== lrmi-0.6m/Makefile ===
CFLAGS = -g -Wall

sources = lrmi.c
objects = lrmi.o
all = vbetest mode3 vga_reset vbemodeinfo

%.o: %.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) -o $@ $<

all: $(all)

vbetest: vbetest.c lrmi.o
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $^

mode3: mode3.c lrmi.o
	$(CC) $(CFLAGS) -o $@ $^

vbemodeinfo: vbemodeinfo.c lrmi.o
	$(CC) $(CFLAGS) -o $@ $^

vga_reset: vga_reset.c lrmi.o
	$(CC) $(CFLAGS) -o $@ $^

install: mode3 vga_reset
	install mode3 /sbin
	install vga_reset /sbin

.PHONY: clean
clean:
	rm -f $(objects) $(all) core

.PHONY: distclean
distclean: clean
	rm -f .depend

.PHONY: depend
depend: $(sources)
	-$(CC) -M $(CPPFLAGS) $^ >.depend

=== src/Makefile ===
#----------------------------------------------------------------------
# Makefile for the main svgalib source.
#----------------------------------------------------------------------

# *** NO SERVICIBLE PARTS HERE!
#     All options are in Makefile.cfg.

include ../Makefile.cfg

srcdir    = ..
VPATH     = $(srcdir)/src

#----------------------------------------------------------------------
# Compiler Section (overrides Makefile.cfg)
#----------------------------------------------------------------------

INCLUDES += -I$(srcdir)/src

#----------------------------------------------------------------------
# Rules Section
#----------------------------------------------------------------------

DRIVERS = vgadrv.o regextr.o modetab.o
MODULES = vga.o \
          vgadraw.o vgaclear.o vgaline.o vgapix.o \
          vgapal.o vgacol.o vgamodesel.o vgamisc.o \
	  vgadump.o vgaconvplanar.o vgaaccel.o \
	  timing.o vgaregs.o interface.o accel.o \
	  vgabgpage.o vgabgvt.o vgapci.o
MOUSE   = mouse/mouse.o
KEYBOARD = keyboard/keyboard.o
JOYSTICK = joystick/joystick.o
RAMDAC	= ramdac/ramdac.o ramdac/normal.o ramdac/attdacs.o ramdac/sierra.o \
          ramdac/icw.o ramdac/s3dacs.o ramdac/IBMRGB52x.o
CLOCKCHIP = clockchip/icd2061a.o

# defines for all files.
ifeq (y, $(NO_ASM))
  DEFINES += -DNO_ASSEMBLY
endif
ifdef SVGALIB_CONFIG_FILE
  DEFINES += -DSVGALIB_CONFIG_FILE=\"$(SVGALIB_CONFIG_FILE)\"
endif
ifdef ALLOW_MOUSE_OVERRIDE
  DEFINES += -DALLOW_MOUSE_OVERRIDE
endif
ifdef DEBUG_ACCEL
  DEFINES += -DDEBUG_ACCEL
endif
ifdef DEBUG_KEYBOARD
  DEFINES += -DDEBUG_KEYBOARD
endif
ifdef BACKGROUND
  DEFINES += -DBACKGROUND=1
endif
ifeq (a.out, $(TARGET_FORMAT))
  DEFINES += -DSVGA_AOUT
endif

# defines for vga.c only.
ifdef ROOT_VC_SHORTCUT
  VGA_DEFINES += -DROOT_VC_SHORTCUT
endif

ifdef DEBUG_CONF
  DEFINES += -DDEBUG_CONF
endif

ifdef INCLUDE_ET4000_DRIVER
  VGA_DEFINES += -DINCLUDE_ET4000_DRIVER
  DRIVERS += et4000.o vgahico.o 
  ifdef INCLUDE_ET4000_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_ET4000_DRIVER_TEST
  endif
  ifdef ET4000_REGS
    DEFINES += -DET4000_REGS=\"$(ET4000_REGS)\"
  endif
  ifdef USE_CLOCKS
    DEFINES += -DUSE_CLOCKS
  endif
endif
ifdef INCLUDE_CIRRUS_DRIVER
  VGA_DEFINES += -DINCLUDE_CIRRUS_DRIVER
  DRIVERS += cirrus.o
  ifdef INCLUDE_CIRRUS_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_CIRRUS_DRIVER_TEST
  endif
endif
ifdef INCLUDE_TVGA_DRIVER
  VGA_DEFINES += -DINCLUDE_TVGA_DRIVER
  DRIVERS += tvga8900.o
  ifdef INCLUDE_TVGA_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_TVGA_DRIVER_TEST
  endif
endif
ifdef INCLUDE_OAK_DRIVER
  VGA_DEFINES += -DINCLUDE_OAK_DRIVER
  DRIVERS += oak.o
  ifdef INCLUDE_OAK_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_OAK_DRIVER_TEST
  endif
endif
ifdef INCLUDE_EGA_DRIVER
  VGA_DEFINES += -DINCLUDE_EGA_DRIVER
  DRIVERS += egadrv.o
  ifdef INCLUDE_EGA_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_EGA_DRIVER_TEST
  endif
  ifdef EGA_REGS
    DEFINES += -DEGA_REGS=\"$(EGA_REGS)\"
  endif
endif
ifdef INCLUDE_MACH32_DRIVER
  VGA_DEFINES += -DINCLUDE_MACH32_DRIVER
  DRIVERS += mach32.o
  ifdef INCLUDE_MACH32_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_MACH32_DRIVER_TEST
  endif
endif
ifdef INCLUDE_S3_DRIVER
  VGA_DEFINES += -DINCLUDE_S3_DRIVER
  DRIVERS += s3.o
  ifdef INCLUDE_S3_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_S3_DRIVER_TEST
  endif
endif
ifdef INCLUDE_ET3000_DRIVER
  VGA_DEFINES += -DINCLUDE_ET3000_DRIVER
  DRIVERS += et3000.o
  ifdef INCLUDE_ET3000_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_ET3000_DRIVER_TEST
  endif
endif
ifdef INCLUDE_GVGA6400_DRIVER
  VGA_DEFINES += -DINCLUDE_GVGA6400_DRIVER
  DRIVERS += gvga6400.o
  ifdef INCLUDE_GVGA6400_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_GVGA6400_DRIVER_TEST
  endif
endif
ifdef INCLUDE_ARK_DRIVER
  VGA_DEFINES += -DINCLUDE_ARK_DRIVER
  DRIVERS += ark.o
  ifdef INCLUDE_ARK_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_ARK_DRIVER_TEST
  endif
endif
ifdef INCLUDE_ATI_DRIVER
  VGA_DEFINES += -DINCLUDE_ATI_DRIVER
  DRIVERS += ati.o
  ifdef INCLUDE_ATI_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_ATI_DRIVER_TEST
  endif
endif
ifdef INCLUDE_ALI_DRIVER
  VGA_DEFINES += -DINCLUDE_ALI_DRIVER
  DRIVERS += ali.o
  ifdef INCLUDE_ALI_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_ALI_DRIVER_TEST
  endif
endif
ifdef INCLUDE_MACH64_DRIVER
  VGA_DEFINES +=-DINCLUDE_MACH64_DRIVER
  DRIVERS += mach64.o
  ifdef INCLUDE_MACH64_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_MACH64_DRIVER_TEST
  endif
endif
ifdef INCLUDE_CHIPS_DRIVER
  VGA_DEFINES +=-DINCLUDE_CHIPS_DRIVER
  DRIVERS += chips.o
  ifdef INCLUDE_CHIPS_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_CHIPS_DRIVER_TEST
  endif
endif
ifdef INCLUDE_APM_DRIVER
  VGA_DEFINES +=-DINCLUDE_APM_DRIVER
  DRIVERS += apm.o
  ifdef INCLUDE_APM_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_APM_DRIVER_TEST
  endif
endif
ifdef INCLUDE_VESA_DRIVER
  VGA_DEFINES +=-DINCLUDE_VESA_DRIVER
  DRIVERS += vesa.o lrmi.o
  ifdef INCLUDE_VESA_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_VESA_DRIVER_TEST
  endif
endif
ifdef INCLUDE_NV3_DRIVER
  VGA_DEFINES +=-DINCLUDE_NV3_DRIVER
  DRIVERS += nv3.o
  ifdef INCLUDE_NV3_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_NV3_DRIVER_TEST
  endif
endif
ifdef INCLUDE_G400_DRIVER
  VGA_DEFINES +=-DINCLUDE_G400_DRIVER
  DRIVERS += g400.o
  ifdef INCLUDE_G400_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_G400_DRIVER_TEST
  endif
endif
ifdef INCLUDE_R128_DRIVER
  VGA_DEFINES +=-DINCLUDE_R128_DRIVER
  DRIVERS += r128.o
  ifdef INCLUDE_R128_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_R128_DRIVER_TEST
  endif
endif
ifdef INCLUDE_MX_DRIVER
  VGA_DEFINES +=-DINCLUDE_MX_DRIVER
  DRIVERS += mx.o
  ifdef INCLUDE_MX_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_MX_DRIVER_TEST
  endif
endif
ifdef INCLUDE_SAVAGE_DRIVER
  VGA_DEFINES +=-DINCLUDE_SAVAGE_DRIVER
  DRIVERS += savage.o
  ifdef INCLUDE_SAVAGE_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_SAVAGE_DRIVER_TEST
  endif
endif
ifdef INCLUDE_PARADISE_DRIVER
  VGA_DEFINES +=-DINCLUDE_PARADISE_DRIVER
  DRIVERS += paradise.o
  ifdef INCLUDE_PARADISE_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_PARADISE_DRIVER_TEST
  endif
endif
ifdef INCLUDE_RAGE_DRIVER
  VGA_DEFINES +=-DINCLUDE_RAGE_DRIVER
  DRIVERS += rage.o
  ifdef INCLUDE_RAGE_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_RAGE_DRIVER_TEST
  endif
endif
ifdef INCLUDE_BANSHEE_DRIVER
  VGA_DEFINES +=-DINCLUDE_BANSHEE_DRIVER
  DRIVERS += banshee.o
  ifdef INCLUDE_BANSHEE_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_BANSHEE_DRIVER_TEST
  endif
endif
ifdef INCLUDE_SIS_DRIVER
  VGA_DEFINES +=-DINCLUDE_SIS_DRIVER
  DRIVERS += sis.o
  ifdef INCLUDE_SIS_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_SIS_DRIVER_TEST
  endif
endif
ifdef INCLUDE_I740_DRIVER
  VGA_DEFINES +=-DINCLUDE_I740_DRIVER
  DRIVERS += i740.o
  ifdef INCLUDE_I740_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_I740_DRIVER_TEST
  endif
endif
ifdef INCLUDE_LAGUNA_DRIVER
  VGA_DEFINES +=-DINCLUDE_LAGUNA_DRIVER
  DRIVERS += laguna.o
  ifdef INCLUDE_LAGUNA_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_LAGUNA_DRIVER_TEST
  endif
endif
ifdef INCLUDE_ET6000_DRIVER
  VGA_DEFINES += -DINCLUDE_ET6000_DRIVER
  DRIVERS += et6000.o
  ifdef INCLUDE_ET6000_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_ET6000_DRIVER_TEST
  endif
endif
ifdef INCLUDE_NEO_DRIVER
  VGA_DEFINES += -DINCLUDE_NEO_DRIVER
  DRIVERS += neo.o
  ifdef INCLUDE_NEO_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_NEO_DRIVER_TEST
  endif
endif
ifdef INCLUDE_FBDEV_DRIVER
  VGA_DEFINES += -DINCLUDE_FBDEV_DRIVER
  DRIVERS += fbdev.o
  ifdef INCLUDE_FBDEV_DRIVER_TEST
    VGA_DEFINES += -DINCLUDE_FBDEV_DRIVER_TEST
  endif
endif

# DYNAMIC is used by both ET drivers.
ifdef DYNAMIC
  ifdef INCLUDE_ET6000_DRIVER
    DEFINES += -DDYNAMIC
  else
    ifdef INCLUDE_ET4000_DRIVER
      DEFINES += -DDYNAMIC
    endif
  endif
endif

# defines for ramdac.c, ramdac.h (and files including it) only.
ifdef INCLUDE_NORMAL_DAC
  RAMDAC_DEFINES += -DINCLUDE_NORMAL_DAC
  ifdef INCLUDE_NORMAL_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_NORMAL_DAC_TEST
  endif
endif
ifdef INCLUDE_S3_SDAC_DAC
  RAMDAC_DEFINES += -DINCLUDE_S3_SDAC_DAC
  ifdef INCLUDE_S3_SDAC_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_S3_SDAC_DAC_TEST
  endif
endif
ifdef INCLUDE_S3_GENDAC_DAC
  RAMDAC_DEFINES += -DINCLUDE_S3_GENDAC_DAC
  ifdef INCLUDE_S3_GENDAC_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_S3_GENDAC_DAC_TEST
  endif
endif
ifdef INCLUDE_S3_TRIO64_DAC
  RAMDAC_DEFINES += -DINCLUDE_S3_TRIO64_DAC
  ifdef INCLUDE_S3_TRIO64_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_S3_TRIO64_DAC_TEST
  endif
endif
ifdef INCLUDE_SIERRA_DAC
  RAMDAC_DEFINES += -DINCLUDE_SIERRA_DAC
  ifdef INCLUDE_SIERRA_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_SIERRA_DAC_TEST
  endif
endif
ifdef INCLUDE_SC15025_DAC
  RAMDAC_DEFINES += -DINCLUDE_SC15025_DAC
  ifdef INCLUDE_SC15025_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_SC15025_DAC_TEST
  endif
endif
ifdef INCLUDE_ATT20C490_DAC
  RAMDAC_DEFINES += -DINCLUDE_ATT20C490_DAC
  ifdef INCLUDE_ATT20C490_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_ATT20C490_DAC_TEST
  endif
endif
ifdef INCLUDE_ATT20C498_DAC
  RAMDAC_DEFINES += -DINCLUDE_ATT20C498_DAC
  ifdef INCLUDE_ATT20C498_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_ATT20C498_DAC_TEST
  endif
endif
ifdef INCLUDE_ICW_DAC
  RAMDAC_DEFINES += -DINCLUDE_ICW_DAC
  ifdef INCLUDE_ICW_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_ICW_DAC_TEST
  endif
endif
ifdef INCLUDE_IBMRGB52x_DAC
  RAMDAC_DEFINES += -DINCLUDE_IBMRGB52x_DAC
  ifdef INCLUDE_IBMRGB52x_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_IBMRGB52x_DAC_TEST
  endif
endif
ifdef INCLUDE_SC1148X_DAC
  RAMDAC_DEFINES += -DINCLUDE_SC1148X_DAC
  ifdef INCLUDE_SC1148X_DAC_TEST
    RAMDAC_DEFINES += -DINCLUDE_SC1148X_DAC_TEST
  endif
endif

ALLOBJS = $(MODULES) $(MOUSE) $(JOYSTICK) $(KEYBOARD) $(RAMDAC) $(CLOCKCHIP) $(DRIVERS)

.c.o:
	$(CC) $(CFLAGS) -c -o $*.o $<

.c.s:
	$(CC) $(CFLAGS) -S -o $*.s $<

.PHONY:	all dep depadd clean install FORCE



ifeq (a.out, $(TARGET_FORMAT))

all:	libvga.a

else                                                               

all:	libvga.so.$(VERSION)

# These rules are for ELF only.
libvga.so.$(VERSION): $(ALLOBJS)
	$(CC) -s -shared -Wl,-soname,libvga.so.$(MAJOR_VER) \
	  -o libvga.so.$(VERSION) $(ALLOBJS) -lm

$(sharedlibdir)/libvga.so.$(VERSION): libvga.so.$(VERSION)
	$(INSTALL_PROGRAM) $< $(sharedlibdir)/$<
	ldconfig

install: $(sharedlibdir)/libvga.so.$(VERSION)

endif	  

libvga.a: $(ALLOBJS)
	rm -f libvga.a
	$(AR) rcs libvga.a $(ALLOBJS)

libvgagl.a: FORCE
	make -f $(srcdir)/gl/Makefile $@ srcdir="$(srcdir)" DLLFLAGS="$(DLLFLAGS)"

vga.o: vga.c
	$(CC) $(CFLAGS) $(VGA_DEFINES) -c -o $@ $<

#lrmi must NOT be compiled as -fPIC
lrmi.o: lrmi.c
	$(CC) $(CFLAGS:-fPIC=) -c -o $@ $<

$(RAMDAC): %.o: %.c
	$(CC) $(CFLAGS) $(RAMDAC_DEFINES) -c -o $@ $<

s3.o ark.o: %.o: %.c
	$(CC) $(CFLAGS) $(RAMDAC_DEFINES) -c -o $@ $<

nucleus.o: %.o: %.c 
	$(CC) $(CFLAGS) $(RAMDAC_DEFINES) -c -o $@ $< scitech.o

$(MODULES): .depend.src

dep:
	rm -f .depend.src
	make .depend.src

.depend.src:
	echo '# Module dependencies' >>.depend.src
	$(CC) $(INCLUDES) -MM $(patsubst %.o,$(srcdir)/src/%.c,$(MODULES)) >>.depend.src
	echo '# Mouse dependencies' >>.depend.src
	$(CC) $(INCLUDES) -MM $(patsubst %.o,$(srcdir)/src/%.c,$(MOUSE)) >.depend.src.mouse
	sed 's#^\(.*\.o\):#mouse/\1:#g' <.depend.src.mouse >>.depend.src
	rm -f .depend.src.mouse
	echo '# Joystick dependencies' >>.depend.src
	$(CC) $(INCLUDES) -MM $(patsubst %.o,$(srcdir)/src/%.c,$(JOYSTICK)) >.depend.src.joystick
	sed 's#^\(.*\.o\):#joystick/\1:#g' <.depend.src.joystick >>.depend.src
	rm -f .depend.src.joystick
	echo '# Keyboard dependencies' >>.depend.src
	$(CC) $(INCLUDES) -MM $(patsubst %.o,$(srcdir)/src/%.c,$(KEYBOARD)) >.depend.src.keyboard
	sed 's#^\(.*\.o\):#keyboard/\1:#g' <.depend.src.keyboard >>.depend.src
	rm -f .depend.src.keyboard
	echo '# Driver dependencies' >>.depend.src
	$(CC) $(INCLUDES) -MM $(patsubst %.o,$(srcdir)/src/%.c,$(DRIVERS)) >>.depend.src
	echo '# Ramdac dependencies' >>.depend.src
	$(CC) $(INCLUDES) -MM $(patsubst %.o,$(srcdir)/src/%.c,$(RAMDAC)) >.depend.src.ramdac
	sed 's#^\(.*\.o\):#ramdac/\1:#g' <.depend.src.ramdac >>.depend.src

=== threeDKit/Makefile ===
#----------------------------------------------------------------------
# Makefile for plane and wrapdemo. See README file.
#
# This file is a part of SVGAlib.
#----------------------------------------------------------------------

include ../Makefile.cfg

srcdir    = ..
VPATH     = $(srcdir)/threeDKit

#----------------------------------------------------------------------
# Compiler Section (overrides Makefile.cfg)
#----------------------------------------------------------------------

LOCAL_DEFINES = -DSVGALIB
CFLAGS = $(WARN) $(OPTIMIZE) -I$(srcdir)/include -I$(srcdir)/gl -I. $(LOCAL_DEFINES)
DLLFLAGS  =

#----------------------------------------------------------------------
# Rules Section
#----------------------------------------------------------------------

OBJECTS = 3dinit.o 3dkit.o wrapsurf.o quickmath.o triangle.o striangle.o \
	    wtriangle.o swtriangle.o

# Determine what library (static or shared) we will be linking programs with
ifdef INSTALLSHAREDLIB
  LIBS = -lm -lvgagl -lvga
endif
ifndef LIBS
  LIBS    = -lm ../staticlib/libvgagl.a ../staticlib/libvga.a
  LVGADEP = ../staticlib/libvgagl.a ../staticlib/libvga.a
endif

.PHONY: clean

all: plane wrapdemo

plane: planukit.o planinit.o $(OBJECTS) $(LVGADEP)
	$(CC) $(LDFLAGS) -o plane planukit.o planinit.o $(OBJECTS) $(LIBS)
	chown root plane
	chmod u+s plane

wrapdemo: wrapdemo.o $(OBJECTS) $(LVGADEP)
	$(CC) $(CFLAGS) $(LDFLAGS) -o wrapdemo wrapdemo.c $(OBJECTS) $(LIBS)
	chown root wrapdemo
	chmod u+s wrapdemo

.c.o:
	$(CC) $(CFLAGS) -c -o $*.o $<

clean:
	rm -f *.o plane wrapdemo

=== debian/changelog ===
svgalib (1:1.4.3-31) unstable; urgency=low

  * Fix upstream installation of setuid programs and exclude them from
    dh_fixperms instead of restoring the permissions afterwards. This fixes
    a build failure when the utilities are not built. (Closes: #623747)
  * Now using Standards-Version 3.9.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Wed, 04 May 2011 06:41:22 +0200

svgalib (1:1.4.3-30) unstable; urgency=low

  * Now using Standards-Version 3.9.1 (no changes needed).
  * Use architecture wildcards:
    - Use linux-any instead of any in binary package Architecture fields.
    - Use any-amd64 and any-i386 in libx86-dev Build-Depends architecture
      restrictions.
  * Port svgalib to GNU/kFreeBSD:
    - Use portable termios instead of termio.
    - Use VT_GETACTIVE instead of VT_GETSTATE on kFreeBSD.
    - Only use c_line member in struct termios on Linux.
    - Handle systems with no SIGPWR.
    - Implement __svgalib_physmem for kFreeBSD.
    Thanks to Tuco <tuco.xyz@gmail.com>. (Closes: #291082, #591721)
    - Define IUCLC to 0 if not pre-defined.
    - Error out if there's no known way to get the current VT active state.
    - Add kfreebsd-any to binary package Architecture fields.
  * Add ${misc:Depends} substvars to all binary package Depends fields.

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Sep 2010 13:52:51 +0200

svgalib (1:1.4.3-29) unstable; urgency=low

  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.

 -- Guillem Jover <guillem@debian.org>  Wed, 02 Dec 2009 20:15:51 +0100

svgalib (1:1.4.3-28) unstable; urgency=low

  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Add support for LSB status action on init scripts.
  * Now using Standards-Version 3.8.3 (no changes needed).
  * Try to use the system's round function instead of locally defining it,
    to fix a build failure with newer eglibc 2.10 which expose it by defualt.
    - debian/patches/041_use_system_round.patch: New file.
    (Closes: #550775)
  * Fix LSB init dependency header:
    - Remove $local_fs from Required-Stop as we don't do anything on stop.
    - Switch from $local_fs to $remote_fs as we use scripts from /usr.
  * Do not “set -e” on the init script as log_action_end_msg relies on the
    exit code of the command, be it success or failure.
  * Remove long obsolete svgalibg1-dev and svgalibg1 packages.
    (Closes: #322068, #477539)
  * Add lintian overrides for suid-root programs in svgalib-bin as those
    cannot work at all w/o them.
  * Fix typo in svgalib.7 man page (.RH → .RE) that was producing a warning.
    - debian/patches/030_manpages_typos.patch: Update.

 -- Guillem Jover <guillem@debian.org>  Tue, 13 Oct 2009 03:30:24 +0200

svgalib (1:1.4.3-27) unstable; urgency=low

  * Add a Homepage field.
  * Add Vcs-Browser and Vcs-Git fields.
  * Add a debian/README.source file.
  * Now using Standards-Version 3.8.0.
  * Refresh patches with -pab.
  * Remove DPATCHLEVEL variable from patches.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Jun 2008 10:04:23 +0300

svgalib (1:1.4.3-26) unstable; urgency=low

  * Fix typos in man pages. (Closes: #482003, #482004, #482005, #482006)
    - debian/patches/030_manpages_typos.patch: Update.
    Thanks to A. Costa <agcosta@gis.net>.
  * Expand shell glob for install* targets in debian/rules.

 -- Guillem Jover <guillem@debian.org>  Thu, 29 May 2008 05:55:06 +0300

svgalib (1:1.4.3-25) unstable; urgency=low

  * Remove Tag fields, those are better maintained outside the package.
  * Use binary:Version substvar instead of deprecated Source-Version.
  * Remove ancient Conflicts and Replaces on suidmanager, svgalib-bin,
    svgalib, svgalib1, svgalibg1, svgalib1-dev, svgalib-dev, svgalib-dummy1
    and svgalib-dummyg1.
  * Now using Standards-Version 3.7.3 (no changes needed).
  * Enable debian/patches/030_manpages_typos.patch, which got disabled during
    the transition to quilt.
  * Fix typo in svgalib.7 (it's -> its). (Closes: #443730)
    Thanks to Justin Pryzby <justinpryzby@users.sourceforge.net>.
  * Use external libx86 instead of embedded LRMI code to support VESA driver
    on !i386 architectures (for now only amd64). (Closes: #380710)
    - debian/patches/040_x86emu.patch: New file.
    Based on a patch by Matthew Garrett <mjg59@srcf.ucam.org>.
  * Port svgalib to non-i386/amd64 architectures:
    - Disable all io based drivers for architectures other than alpha, amd64
      and i386, and only enable fbdev on the rest.
    - Switch package Architecture fields to any.
    - Only suid root existing binaries for svgalib-bin.
    - debian/patches/026_amd64.patch: Move asm fixes to ...
    - debian/patches/029_binutils-2.16.patch: ... here.
    - debian/patches/026_amd64.patch: Rename to ...
    - debian/patches/026_port_non_ia32.patch: ... this. Update.

 -- Guillem Jover <guillem@debian.org>  Wed, 19 Dec 2007 06:25:07 +0200

svgalib (1:1.4.3-24) unstable; urgency=low

  * Switched to quilt:
    - Add new debian/patches/series file.
    - Add Build-Depends on 'quilt (>= 0.40)'.
    - Include quilt.make from debian/rules and remove patch and unpatch
      targets.
    - Remove now unused debian/patch.mk.
  * Change default mouse device to '/dev/input/mice'. (Closes: #351799)
    - debian/patches/031_mouse_input.patch: New file.
  * Remove the leftover mouse saved config snippet from old versions of
    the package. (Closes: #377063)
  * Add a Tag: field to the binary package, using the data from debtags.
  * Add an LSB description header to the init script.

 -- Guillem Jover <guillem@debian.org>  Mon,  6 Nov 2006 04:55:15 +0200

svgalib (1:1.4.3-23) unstable; urgency=low

  * Remove libsvga1.postinst and libsvga1.prerm, as they were modifying


=== debian/control ===
Source: svgalib
Section: graphics
Priority: optional
Maintainer: Guillem Jover <guillem@debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Homepage: http://www.svgalib.org/
Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/svgalib.git
Vcs-Git: git://git.hadrons.org/git/debian/pkgs/svgalib.git
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7), libx86-dev [any-amd64 any-i386]

Package: svgalib-bin
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Replaces: svgalib1-bin
Provides: svgalib1-bin
Description: console SVGA display utilities
 svgalib provides graphics capabilities to programs running on the
 system console, without going through the X Window System. It uses
 direct access to the video hardware to provide low-level access to
 the standard VGA and SVGA graphics modes. Only works with some
 video hardware; use with caution.
 .
 This package contains the Svgalib utility programs.

Package: libsvga1
Architecture: linux-any kfreebsd-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: svgalibg1
Provides: svgalibg1
Description: console SVGA display libraries
 svgalib provides graphics capabilities to programs running on the
 system console, without going through the X Window System. It uses
 direct access to the video hardware to provide low-level access to
 the standard VGA and SVGA graphics modes. Only works with some
 video hardware; use with caution.
 .
 This package contains the shared libraries and config files.

Package: libsvga1-dev
Architecture: linux-any kfreebsd-any
Section: libdevel
Depends: libsvga1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: svgalibg1-dev
Provides: svgalibg1-dev
Description: console SVGA display development libraries and headers
 svgalib provides graphics capabilities to programs running on the
 system console, without going through the X Window System. It uses
 direct access to the video hardware to provide low-level access to
 the standard VGA and SVGA graphics modes. Only works with some
 video hardware; use with caution.
 .
 This package contains the static libraries, header files and documentation.

=== debian/rules ===
#!/usr/bin/make -f
# This file is public domain software, originally written by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SHELL := /bin/bash -O extglob

# we use this makefile so we can get at SVGAlib's internal version
# strings directory
include Makefile.cfg

bin := svgalib-bin
lib := libsvga$(MAJOR_VER)
dev := $(lib)-dev

# upstream makefiles are lax about failures, so set -e
MAKE += SHELL=/bin/sh\ -e

build:
	dh_testdir
	
	$(MAKE) shared static
	$(MAKE) lrmi textutils

clean:
	dh_testdir
	dh_testroot
	
	$(MAKE) clean
	
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	$(MAKE) prefix=$(CURDIR)/debian/$(dev)/usr \
		sharedlibdir=$(CURDIR)/debian/$(lib)/usr/lib \
		datadir=$(CURDIR)/debian/$(lib)/etc/vga \
		bindir=$(CURDIR)/debian/$(bin)/usr/bin \
		installheaders \
		installsharedlib \
		installstaticlib \
		installconfig \
		installutils
	
	mv -f debian/$(lib)/usr/lib/lib*.so debian/$(dev)/usr/lib
	
	cp -p lrmi-*/README debian/$(bin)/usr/share/doc/$(lib)/README.lrmi
	
	cp -p debian/README.examples \
	      debian/$(dev)/usr/share/doc/$(lib)/examples/README.Debian
	tar czf debian/$(dev)/usr/share/doc/$(lib)/examples/demos.tar.gz \
		Makefile.cfg demos doc/man6/!(mach32info|plane|wrapdemo).6 \
		src/libvga.h
	tar czf debian/$(dev)/usr/share/doc/$(lib)/examples/threeDKit.tar.gz \
		Makefile.cfg doc/man3/gl_*tri*.3 doc/man6/{plane,wrapdemo}.6 \
		doc/man7/threedkit.7 threeDKit/!(0-COPYING)


binary-indep:
	dh_testdir
	dh_testroot
	dh_link -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link -a
	dh_installchangelogs -p$(lib) doc/CHANGES
	dh_installdocs -a
	dh_installexamples -a
#	dh_install -a
#	dh_installdebconf -a
	dh_installinit -p$(bin) --no-start -r -- start 61 S .
#	dh_installinfo -a
	dh_installman -p$(bin) doc/man1/!(convfont|fix132x43|runx|setmclk).1 \
			       doc/man8/*.8
	dh_installman -p$(lib) doc/man5/*.5 doc/man7/!(threedkit).7
	dh_installman -p$(dev) doc/man3/!(gl_*tri*).3
	dh_lintian -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a -Xbin/dumpreg -Xbin/restorefont -Xbin/restoretextmode \
	               -Xbin/restorepalette
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a -ldebian/$(lib)/usr/lib -L$(lib)
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
http://www.svgalib.org/svgalib-([\d.]*)\.tar\.gz	debian	uupdate

## svgalib helper-1.9.17-mplayer

=== Makefile ===
include mixed/Makefile.cfg

MODVER = $(shell grep CONFIG_MODVERSIONS $(INCLUDEDIR)/linux/autoconf.h)

ifeq ($(MODVER),)
	@echo INCLUDEDIR is not set up correctly
	exit 1
endif

CFLAGS = -O2 -DLINUX -Dlinux -D__KERNEL__ -DMODULE -Wall $(DEBFLAGS) 
CFLAGS += -I$(INCLUDEDIR)
CFLAGS += -DSVGALIB_HELPER_MAJOR=$(SVGALIB_HELPER_MAJOR)

ifeq (1,$(findstring 1,$(MODVER)))
	CFLAGS += -DMODVERSIONS -include $(INCLUDEDIR)/linux/modversions.h
endif

# Extract version number from headers.
VER = $(shell awk -F\" '/REL/ {print $$2}' $(INCLUDEDIR)/linux/version.h)

# Use version of current running kernel
ifeq ($(VER),)
	VER = $(shell uname -r)
endif

TARGET = svgalib_helper
OBJS = $(TARGET).o
SRC = main.c interrupt.c i810.c

all: .depend $(TARGET).o

$(TARGET).o: $(SRC:.c=.o)
	$(LD) -r $^ -o $@

install: device modules_install

modules_install: $(TARGET).o
	mkdir -p /lib/modules/$(VER)/kernel/misc 
	install -m 0644 -c $(TARGET).o /lib/modules/$(VER)/kernel/misc

device:
	rm -f /dev/svgalib_helper* /dev/svga /dev/svga?
	mknod -m 666 /dev/svga c $(SVGALIB_HELPER_MAJOR) 0
	mknod -m 666 /dev/svga1 c $(SVGALIB_HELPER_MAJOR) 1
	mknod -m 666 /dev/svga2 c $(SVGALIB_HELPER_MAJOR) 2
	mknod -m 666 /dev/svga3 c $(SVGALIB_HELPER_MAJOR) 3
	mknod -m 666 /dev/svga4 c $(SVGALIB_HELPER_MAJOR) 4

clean:
	rm -f *.o *~ core .depend *.bak *.orig

depend .depend dep:
	$(CC) $(CFLAGS) -M *.c > $@


ifeq (.depend,$(wildcard .depend))
include .depend
endif
